### Enumeration

# Gdk ScrollRelativeDirection

since: 4.20

#### Declaration

    enum Gdk.ScrollRelativeDirection

#### Description [src]

Used in scroll events, to announce the direction relative to physical motion.

Available since: 4.20

#### Members

`GDK_SCROLL_RELATIVE_DIRECTION_IDENTICAL`

  Physical motion and event motion are the same.

  - Value: `0`
  - Available since: 4.20
`GDK_SCROLL_RELATIVE_DIRECTION_INVERTED`

  Physical motion is inverted relative to event motion.

  - Value: `1`
  - Available since: 4.20
`GDK_SCROLL_RELATIVE_DIRECTION_UNKNOWN`

  Relative motion is unknown on this device or backend.

  - Value: `2`
  - Available since: 4.20